<template>
  <div>
    <h2 class="movie">{{ title }} - <router-link class="detail_link" :to="{ name: 'movie', params: { id: id }}">détail</router-link></h2>
  </div>
</template>

<script>
export default {
  name: 'MovieComponent',
  props: {
   id:{},
   title: {type: String},
   year: {type: Number},
   language: {type: String},
   realinfo: {},
   type: {type: String},
   grade: {type: Number}
  }
}
</script>

<style>
  .detail_link{
    text-decoration:none;
    color:green;
  }
  .detail_link:hover{
    color:white;
  }
  .detail_link:active{
    color:lightgreen;
  }
</style>